version: "3.9"
services:
  cod2-server:
    image: lonsofore/cod2:1.3
    container_name: cod2-server
    restart: always
    stdin_open: true
    tty: true
    volumes:
      - ./volumes/cod2/cod2-server:/cod2/cod2-server
      - ./volumes/cod2/main:/cod2/main
      - ./volumes/cod2/cod2_lnxded_1_0:/cod2/cod2_lnxded
      - ./volumes/cod2/Library:/cod2/.callofduty2/server/Library
    environment:
     PARAMS: "+set fs_homepath /cod2/.callofduty2/ +set fs_game myserver +set dedicated 2 +set net_port 28960 +exec myserver.cfg"
     CHECK_PORT: 28960
    ports:
      - 28960